
Infrastructure - Task #7160

Story # 7156 (Closed): Implement support for ISO-119139/isotc211

Register new science metadata format with metacat

2015-06-05 17:48 - Skye Roseboom

Status: Closed Start date: 2015-06-05

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-1.5.2   

Milestone: None Story Points:  

Product Version: *   

Description

Register ISO-119139/isotc211.object format with metacat - xml-catalog table to allow science metadata files with this format to be

validated during synchronization.

May not be necessary to manually perform this step if metacat is able to download the schema files for ISO-119139/isotc211. 

If necessary, this format will need to be registered in dev, sandbox, stage, and production.

History

#1 - 2015-06-05 17:49 - Skye Roseboom

- Description updated

#2 - 2015-06-05 18:05 - Matthew Jones

Skye -- although Metacat can grab a schema the first time it encounters a namespace by using the xsi:schemaLocation, its probably better to add the

schema to Metacat's schema directory manually and register it so that it is present in all future installs.  That will also ensure that various Metacat

installs all use the same schema file for the namespace.

#3 - 2015-06-26 17:01 - Skye Roseboom

- Assignee changed from Jing Tao to Skye Roseboom

- % Done changed from 0 to 30

- Status changed from New to In Progress

#4 - 2015-06-26 17:01 - Skye Roseboom

- Status changed from In Progress to Testing

- % Done changed from 30 to 50

#5 - 2015-07-09 22:17 - Skye Roseboom

- Assignee changed from Skye Roseboom to Jing Tao

Registered manually in production, stage, sandbox.

Jing will integrate isotc211 namespace support into metacat for future releases.

#6 - 2015-09-15 15:45 - Jing Tao

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0
- % Done changed from 50 to 100

It is done.
